Skip to main content
GET
/
api
/
execution
/
hedge
Get hedge execution status
curl --request GET \
  --url https://api.molq.site/api/execution/hedge
{
  "configured": true,
  "tradingEnabled": true,
  "venue": "<string>",
  "symbol": "<string>",
  "targetNotionalUsd": 123,
  "currentShortQuantity": 123,
  "currentShortNotionalUsd": 123,
  "accountEquityUsd": 123,
  "unrealizedPnlUsd": 123,
  "message": "<string>"
}

Query Parameters

targetNotionalUsd
number
Required range: x >= 0

Response

200 - application/json

Bybit configuration and current short exposure

configured
boolean
tradingEnabled
boolean
venue
string
Allowed value: "Bybit"
symbol
string
Allowed value: "ETHUSDT"
targetNotionalUsd
number
currentShortQuantity
number
currentShortNotionalUsd
number
accountEquityUsd
number
unrealizedPnlUsd
number
message
string